%% basic reproduction rates
function [brr0,brrSA,brrSE]=GSEIR_R0fun(p,i)
% GSEIR_R0fun: basic reproduction rate for asymptomatic and quarantined
% symptomatic infected
% A.Hornstein 4/3/2020
% 4/11/2020: added tracing of exposed 
% 4/20/2020: fixed algebra mistakes
% -------------------------------------------------------------------------
% unconditional R0
rdum1=           1./(p.cI1+p.b);
rdum2=(p.sig.*p.b)./(p.cI2+p.d);
brr0 =rdum1.*(1+rdum2);
% infected exposed
% rdum1=1./(p.cI1+p.b);
rdum2=1./(p.cI1+p.b+p.phi);
brrSE=p.b.*rdum1.*rdum2;
% infected asymptomatic
brrSA=brrSE.*p.phi.*rdum1/2;
if nargin==2
    brr0=brr0(i);
    brrSE=brrSE(i);
    brrSA=brrSA(i);
end
end
