% GSEIRdeathsMarchApril: Runup of deaths in first two weeks starting March 24th
% Cumulative deaths on March 24th and April 14th, 3 weeks later
% A.Hornstein, 4/22/2020
% -------------------------------------------------------------------------
cd1=NaN(nC,1);
for iC=1:nC
    [~,idum]=min(abs(ww{iC}-3));
    cd1(iC)=xxK{iC}(idum,10);
end

tabname=[tabdir sprintf('GSEIR_%s_DeathsMarchApril%s.txt',zName,cLbl)];
fid=fopen(tabname,'w');

fprintf(fid,'Cumulative Deaths on March 24th: %6i \n',DAB(1));
fprintf(fid,'Cumulative Deaths on April 14th: %6i \n',DAB(2));
fprintf(fid,'Cumulative Deaths on April 14th for Various Policies \n');
for iC=1:nC
    fprintf(fid,'Policy %1i: %6i \n',iC-1,round(1000*cd1(iC)));
end
fclose(fid);
