%% GSEIRfig: plot variables for each case, population shares in percent
% A.Hornstein 4/3/2020
% -------------------------------------------------------------------------
lsty0={'r--','b--','k--','m--','g--','c--'};
lsty1={'r-','b-','k-','m-','g-','c-'};

nfig=0;
sc=100;
for i=1:nx
    nfig=nfig+1;
    fig=figure(nfig);clf;hold on;
    for iC=1:nC
        ydum=sc*xx{iC}(:,i);
        plot(ww{iC},ydum,lsty1{iC},'LineWidth',3);
    end
    for iC=nC+(1:nC)
        ydum=sc*xx{iC}(:,i);        
        plot(ww{iC},ydum,lsty0{iC-nC},'LineWidth',3);
    end
    shade(ssw(1),ssw(2),'y');
    grid on
    get(gca, 'YTick');
    set(gca, 'FontSize', 16);
    title([ xlblL{i} ', Share of Population']);
    legend(mlbl);
    xlim([ww{iC}(1) ww{iC}(end)]);
    yl=ylim;
    ylim([0 yl(2)]);
    xlabel('Weeks');
    ylabel('Percent');
    if sum(i==xslct)>0
        figname=[figdir sprintf('GSEIR_%s_%s_Share%s',zName,xlblS{i},cLbl)];
        orient(fig,'landscape')
        print(fig,figname,'-dpdf','-bestfit');
    end
end
% plot employment
nfig=nfig+1;
fig=figure(nfig);clf;hold on;
for iC=1:nC
    ydum=ee{iC}(:);
    plot(ww{iC},ydum,lsty1{iC},'LineWidth',3);
end
for iC=nC+(1:nC)
    ydum=ee{iC}(:);
    plot(ww{iC},ydum,lsty0{iC-nC},'LineWidth',3);
end
shade(ssw(1),ssw(2),'y');
grid on
get(gca, 'YTick');
set(gca, 'FontSize', 16);
title('Employment Relative to Normal');
legend(mlbl);
xlim([ww{iC}(1) ww{iC}(end)]);
yl=ylim;
ylim([0.9 1.05]);
xlabel('Weeks');
ylabel('Percent');
figname=[figdir sprintf('GSEIR_%s_EMP_Share%s',zName,cLbl)];
orient(fig,'landscape')
% print(fig,figname,'-dpdf','-bestfit');


%% Plot variables for each case, in thousands 
nfig=100;
for i=1:nx
    nfig=nfig+1;
    fig=figure(nfig);clf;hold on;
    for iC=1:nC
        ydum=xxK{iC}(:,i);
        plot(ww{iC},ydum,lsty1{iC},'LineWidth',3);
    end
    for iC=nC+(1:nC)
        ydum=xxK{iC}(:,i);        
        plot(ww{iC},ydum,lsty0{iC-nC},'LineWidth',3);
    end
    shade(ssw(1),ssw(2),'y');
    grid on
    get(gca, 'YTick');
    set(gca, 'FontSize', 16);
    title([ xlblL{i} ', in thousands']);
    legend(mlbl);
    xlim([ww{iC}(1) ww{iC}(end)]);
    yl=ylim;
    ylim([0 yl(2)]);
    xlabel('Weeks');
    ylabel('Thousands');
    if sum(i==xslct)>0
        figname=[figdir sprintf('GSEIR_%s_%s_Thsd%s',zName,xlblS{i},cLbl)];
        orient(fig,'landscape')
        print(fig,figname,'-dpdf','-bestfit');
    end
end
