%% GSEIRfig_AltPol: plot variables for each case, population shares in percent
% A.Hornstein 4/3/2020
% -------------------------------------------------------------------------
lsty0={'k--','r--','b--','m--','g--','c--'};
lsty1={'k-','r-','b-','m-','g-','c-'};

nfig=0;
sc=100;
for i=1:nx
    nfig=nfig+1;
    fig=figure(nfig);clf;hold on;
    for iC=2:nC
        ydum=sc*xx{iC}(:,i);
        plot(ww{iC},ydum,lsty1{iC},'LineWidth',3);
    end
    nt=length(ww{iC});
    if i==7
        plot(ww{iC},ones(nt,1)*HOSPpop*100,'-','LineWidth',2);
    elseif i==8
        plot(ww{iC},ones(nt,1)*ICUpop*100,'-','LineWidth',2);
    end
    shade(ssw(1),ssw(2),'y');
    shade(ssw(2),ssw(3),'g');
    grid on
    get(gca, 'YTick');
    set(gca, 'FontSize', 16);
    title([ xlblL{i} ', Share of Population']);
    legend(mlbl(2:nC));
    xlim([ww{iC}(1) ww{iC}(end)]);
    yl=ylim;
    ylim([0 yl(2)]);
    xlabel('Weeks');
    ylabel('Percent');
    if sum(i==xslct)>0
        figname=[figdir sprintf('GSEIR_%s_%s_Share%s',zName,xlblS{i},cLbl)];
        orient(fig,'landscape')
        print(fig,figname,'-dpdf','-bestfit');
    end
end
% plot share of asymptomatic infectious in circulating pop: IA/(S+E+IA)
% ignore impact from quarantine
pF=cell(nC,1);
for iC=2:nC
    pF{iC}=xx{iC}(:,3)./sum(xx{iC}(:,1:3),2);
end
nfig=nfig+1;
fig=figure(nfig);clf;hold on;
for iC=2:nC
    ydum=pF{iC};
    plot(ww{iC},sc*ydum,lsty1{iC},'LineWidth',3);
end
shade(ssw(1),ssw(2),'y');
shade(ssw(2),ssw(3),'g');
grid on
get(gca, 'YTick');
set(gca, 'FontSize', 16);
title('Probability of Finding Asymp Infected with Random Testing');
legend(mlbl(2:nC));
xlim([ww{iC}(1) ww{iC}(end)]);
yl=ylim;
ylim([0.0 yl(2)]);
xlabel('Weeks');
ylabel('Percent');
figname=[figdir sprintf('GSEIR_%s_EMP_Share%s',zName,'pF')];
orient(fig,'landscape')
print(fig,figname,'-dpdf','-bestfit');


% plot employment
nfig=nfig+1;
fig=figure(nfig);clf;hold on;
for iC=2:nC
    ydum=eH{iC}(:);
    plot(ww{iC},ydum,lsty1{iC},'LineWidth',3);
end
for iC=2:nC
    ydum=ee{iC}(:);
    plot(ww{iC},ydum,lsty0{iC},'LineWidth',3);
end
shade(ssw(1),ssw(2),'y');
shade(ssw(2),ssw(3),'g');
grid on
get(gca, 'YTick');
set(gca, 'FontSize', 16);
title('Workforce: Healthy Available and Employed, Relative to Normal');
legend(mlbl(2:nC));
xlim([ww{iC}(1) ww{iC}(end)]);
yl=ylim;
ylim([0.6 1.1]);
xlabel('Weeks');
ylabel('Percent');
figname=[figdir sprintf('GSEIR_%s_EMP_Share%s',zName,cLbl)];
orient(fig,'landscape')
print(fig,figname,'-dpdf','-bestfit');


%% Plot variables for each case, in thousands 
nfig=100;
for i=1:nx
    nfig=nfig+1;
    fig=figure(nfig);clf;hold on;
    for iC=1:nC
        ydum=xxK{iC}(:,i);
        plot(ww{iC},ydum,lsty1{iC},'LineWidth',3);
    end
    if i==7
        plot(ww{iC},ones(nt,1)*HOSP/10^3,'-','LineWidth',2);
    elseif i==8
        plot(ww{iC},ones(nt,1)*ICU/10^3,'-','LineWidth',2);
    end
    shade(ssw(1),ssw(2),'y');
    shade(ssw(2),ssw(3),'g');
    grid on
    get(gca, 'YTick');
    set(gca, 'FontSize', 16);
    title([ xlblL{i} ', in thousands']);
    legend(mlbl(2:nC));
    xlim([ww{iC}(1) ww{iC}(end)]);
    yl=ylim;
    ylim([0 yl(2)]);
    xlabel('Weeks');
    ylabel('Thousands');
%     if sum(i==xslct)>0
%         figname=[figdir sprintf('GSEIR_%s_%s_Thsd%s',zName,xlblS{i},cLbl)];
%         orient(fig,'landscape')
%         print(fig,figname,'-dpdf','-bestfit');
%     end
end
