%% GSEIRstat: calculate summary statistics and print to TEX file
% A.Hornstein 4/3/2020
% -------------------------------------------------------------------------
%% Calculate summary statistics: Peak hospital beds and terminal deaths and S
nS=6;
statlbl=cell(nS,1);i=1;
statlbl{i}='Max $I_A$';i=i+1;
statlbl{i}='Max $I_{AT}$';i=i+1;
statlbl{i}='Max $I_S$';i=i+1;
statlbl{i}='Max $H_{ICU}$';i=i+1;
statlbl{i}='Term $D$';i=i+1;
statlbl{i}='Term $S$';
tbl=NaN(2*nC,nS);
for iC=1:2*nC
    idum=ww{iC}<=ssw(end);
    % max I1, I1T, I2, H2
    tbl(iC,1:4)=max(xx{iC}(idum,[3 5 6 8]),[],1);
    % terminal D and  S
    i=i+1;
    tbl(iC,5:6)=xx{iC}(end,[10, 1]);
end
tblS=tbl*100;
tblK=tbl*pop/10^3;

%% print table with summary statistics
fid=1;
% Print Percentage share of population
tabname=[tabdir sprintf('GSEIR_%s_Share%s.tex',zName,cLbl)];
printTbl(tabname,statlbl,mlblT,tblS)

% Print Thousands
tabname=[tabdir sprintf('GSEIR_%s_Thsd%s.tex',zName,cLbl)];
printTbl(tabname,statlbl,mlblT,tblK)

%% print table
function printTbl(tabname,statlbl,mlblT,tbl)
[nC,nS]=size(tbl);
nC=round(nC/2);

fmtC='  ';
fmt0=' %s ';
fmt1=' %s ';
for i=1:nS
    if i<nS
        fmtC=[fmtC ' & \\multicolumn{1}{c}{(%1i)} '];
        fmt0=[fmt0 ' & \\multicolumn{1}{c}{%s} '];
    elseif i==nS
        fmtC=[fmtC ' & \\multicolumn{1}{c|}{(%1i)} '];  
        fmt0=[fmt0 ' & \\multicolumn{1}{c|}{%s} '];
    end
    fmt1=[fmt1 ' & %6.3f '];
end
fmtC=[fmtC '\\\\ \n'];
fmt0=[fmt0 '\\\\ \n'];
fmt1=[fmt1 '\\\\ \n'];

fid=fopen(tabname,'w');
fprintf(fid,'\\begin{tabular}{|lrrrrrr|} \n');
fprintf(fid,'\\hline  \n');
fprintf(fid,fmtC,(1:nS));
fprintf(fid,fmt0,'Model',statlbl{1},statlbl{2},statlbl{3},statlbl{4},statlbl{5},statlbl{6});
fprintf(fid,'\\hline  \n');
fprintf(fid,'& \\multicolumn{6}{c|}{Permanent Change} \\\\ \n');
for iC=1:nC
    fprintf(fid,fmt1,mlblT{iC},tbl(iC,:));
end
fprintf(fid,'\\hline \n');
fprintf(fid,'& \\multicolumn{6}{c|}{Transitory Change} \\\\ \n');
for iC=nC+(1:nC)
    fprintf(fid,fmt1,mlblT{iC},tbl(iC,:));
end
fprintf(fid,'\\hline \n');fprintf(fid,'\\end{tabular} \n');
fclose(fid);
end
